Welcome Dialog

Welcome to the Community!

We have a brand new look! Take a tour with us and explore the latest updates on Adobe Support Community.


Locked

AIR 29+ can not debug app on iOS. App is never installed on the device

Engaged ,
May 23, 2018 May 23, 2018

Copy link to clipboard

Copied

When I try to debug iOS app with Flash Builder 4.7 and with AIR 29 or 30 Beta the app is not installed on the device. Compilation is completed and I get the message that I need to open the app but app is never installed on devices. I tried manually to install app by going to bin-debug folder and trying to install ipa from there but it says that app ipa is corrupted or not compatible with iOS 11.

Is anyone able to debug app on iOS with AIR 29 or AIR 30 Beta?

TOPICS
Development

Views

5.3K

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines

correct answers 1 Correct answer

Engaged , Oct 07, 2018 Oct 07, 2018
This is now solved and is working properly with latest AIR SDK 31.

Likes

Translate

Translate
Participant ,
Oct 15, 2018 Oct 15, 2018

Copy link to clipboard

Copied

Unfortunately that still doesn't appear to be working.

AIR SDK 31.0.0.103

Xcode 9.3

iOS SDK 11.3

Animate 18.0.2 (build 126)

Tested both AdHoc build/install and Debugging via USB.

max.jpg

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Engaged ,
Oct 15, 2018 Oct 15, 2018

Copy link to clipboard

Copied

LATEST

This is a different issue.

The newest iPhones (XS, XR) have a different format in UDID

It would appear that ADT does not allow for this new format.

There is already a bug in the tracker related to it.

Tracker

From what I can tell Adobe will need to update the regex in function getIDBDevices() in IOSDeviceOperations.class

https://forum.starling-framework.org/topic/iphone-xs-max-intellij-install-error

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines